use crate::music::music_manager;
use crate::util::embed::Embed;
use serenity::all::{CommandInteraction, Context};
use serenity::builder::{CreateCommand, CreateEmbed};

pub async fn run(ctx: &Context, command: &CommandInteraction) -> CreateEmbed {
    let username = command.user.name.as_str();

    let guild_id = match &command.guild_id {
        Some(guild_id) => guild_id,
        None => {
            return Embed::create_error_respose(
                username,
                "guild_id not found",
                "Could not find guild id.",
            );
        }
    };

    music_manager::attempt_to_skip_current_song(ctx, guild_id, &command.user.id, &command.user.name)
        .await
}

pub fn register() -> CreateCommand {
    CreateCommand::new("skip").description("Skip to the next song in queue")
}
